summaryrefslogtreecommitdiff
path: root/tests/mv/mv-special-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/mv-special-1')
-rwxr-xr-xtests/mv/mv-special-110
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index 208bc7f91..321c54e64 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -42,13 +42,13 @@ touch $dir/a/b/c/file1 $dir/d/e/f/file2 || framework_failure
# It's not worth making an exception any more.
fail=0
-mv --verbose $null $dir $other_partition_tmpdir > out || fail=1
+mv --verbose $null $dir "$other_partition_tmpdir" > out || fail=1
# Make sure the files are gone.
test -p $null && fail=1
test -d $dir && fail=1
# Make sure they were moved.
-test -p $other_partition_tmpdir/$null || fail=1
-test -d $other_partition_tmpdir/$dir/a/b/c || fail=1
+test -p "$other_partition_tmpdir/$null" || fail=1
+test -d "$other_partition_tmpdir/$dir/a/b/c" || fail=1
# POSIX says rename (A, B) can succeed if A and B are on different file systems,
# so ignore chatter about when files are removed and copied rather than renamed.
@@ -72,7 +72,7 @@ EOF
compare out2 exp || fail=1
-# cd $other_partition_tmpdir
-# ls -l -A -R $other_partition_tmpdir
+# cd "$other_partition_tmpdir"
+# ls -l -A -R "$other_partition_tmpdir"
Exit $fail